<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/core/Logger.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_3d69f64eaf81436fe2b22361382717e5.html">core</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">Logger.hpp File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;spdlog/fmt/ostr.h&quot;</code><br />
<code>#include &quot;spdlog/spdlog.h&quot;</code><br />
</div>
<p><a href="Logger_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Logger.html">gg::Logger</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacegg"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegg.html">gg</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a42b67fc79f6fccf7995858bc6880984f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Logger_8hpp.html#a42b67fc79f6fccf7995858bc6880984f">GG_BREAK</a>&#160;&#160;&#160;__builtin_trap();</td></tr>
<tr class="separator:a42b67fc79f6fccf7995858bc6880984f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8436c5a56a3465fe6734453e1dff87fb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Logger_8hpp.html#a8436c5a56a3465fe6734453e1dff87fb">GG_TRACE</a>(...)&#160;&#160;&#160;<a class="el" href="classgg_1_1Logger.html#a1223629c433581dc197046a024eefe10">::gg::Logger::GetCoreLogger</a>()-&gt;trace(__VA_ARGS__)</td></tr>
<tr class="separator:a8436c5a56a3465fe6734453e1dff87fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5735309bc12e817923d9bc2a28d95cf5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Logger_8hpp.html#a5735309bc12e817923d9bc2a28d95cf5">GG_INFO</a>(...)&#160;&#160;&#160;<a class="el" href="classgg_1_1Logger.html#a1223629c433581dc197046a024eefe10">::gg::Logger::GetCoreLogger</a>()-&gt;info(__VA_ARGS__)</td></tr>
<tr class="separator:a5735309bc12e817923d9bc2a28d95cf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89f0a1b7c5799f73e211da567b175ca0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Logger_8hpp.html#a89f0a1b7c5799f73e211da567b175ca0">GG_ERROR</a>(...)&#160;&#160;&#160;<a class="el" href="classgg_1_1Logger.html#a1223629c433581dc197046a024eefe10">::gg::Logger::GetCoreLogger</a>()-&gt;error(__VA_ARGS__)</td></tr>
<tr class="separator:a89f0a1b7c5799f73e211da567b175ca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00e30644eae60ba35ab8a796266faeff"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Logger_8hpp.html#a00e30644eae60ba35ab8a796266faeff">GG_WARN</a>(...)&#160;&#160;&#160;<a class="el" href="classgg_1_1Logger.html#a1223629c433581dc197046a024eefe10">::gg::Logger::GetCoreLogger</a>()-&gt;warn(__VA_ARGS__)</td></tr>
<tr class="separator:a00e30644eae60ba35ab8a796266faeff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c80a590bd4111b473a95e9fe05d7bb7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Logger_8hpp.html#a9c80a590bd4111b473a95e9fe05d7bb7">GG_CRITICAL</a>(...)&#160;&#160;&#160;<a class="el" href="classgg_1_1Logger.html#a1223629c433581dc197046a024eefe10">::gg::Logger::GetCoreLogger</a>()-&gt;critical(__VA_ARGS__)</td></tr>
<tr class="separator:a9c80a590bd4111b473a95e9fe05d7bb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b9062fa5185a35273ca114930d28250"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Logger_8hpp.html#a8b9062fa5185a35273ca114930d28250">GG_ASSERT</a>(x,  msg)</td></tr>
<tr class="separator:a8b9062fa5185a35273ca114930d28250"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84eaacb33b7342cd388ad3f5287335ec"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Logger_8hpp.html#a84eaacb33b7342cd388ad3f5287335ec">GG_DEBUG_TRACE</a>(...)</td></tr>
<tr class="separator:a84eaacb33b7342cd388ad3f5287335ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a008ad2efa29e991cf27dd5651e81944c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Logger_8hpp.html#a008ad2efa29e991cf27dd5651e81944c">GG_DEBUG_INFO</a>(...)</td></tr>
<tr class="separator:a008ad2efa29e991cf27dd5651e81944c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b63b317319efca9632c89d2555512b8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Logger_8hpp.html#a2b63b317319efca9632c89d2555512b8">GG_DEBUG_ERROR</a>(...)</td></tr>
<tr class="separator:a2b63b317319efca9632c89d2555512b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a918130d1983e4c0692eb011aa3403ddf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Logger_8hpp.html#a918130d1983e4c0692eb011aa3403ddf">GG_DEBUG_WARN</a>(...)</td></tr>
<tr class="separator:a918130d1983e4c0692eb011aa3403ddf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b807d91b837a06514d8df28d2a7715d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Logger_8hpp.html#a9b807d91b837a06514d8df28d2a7715d">GG_DEBUG_CRITICAL</a>(...)</td></tr>
<tr class="separator:a9b807d91b837a06514d8df28d2a7715d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52d8bf3071e65034fbd905dbb53b3e5b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Logger_8hpp.html#a52d8bf3071e65034fbd905dbb53b3e5b">GG_DEBUG_ASSERT</a>(x,  msg)</td></tr>
<tr class="separator:a52d8bf3071e65034fbd905dbb53b3e5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a8b9062fa5185a35273ca114930d28250" name="a8b9062fa5185a35273ca114930d28250"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b9062fa5185a35273ca114930d28250">&#9670;&nbsp;</a></span>GG_ASSERT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_ASSERT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">msg&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Value:</b><div class="fragment"><div class="line">    <span class="keywordflow">if</span> ((x)) {                                                                 \</div>
<div class="line">    } <span class="keywordflow">else</span> {                                                                   \</div>
<div class="line">        GG_CRITICAL(                                                           \</div>
<div class="line">            <span class="stringliteral">&quot;Asset: {}\n\tMessage: {}\n\tFile: {}: {}&quot;</span>,                        \</div>
<div class="line">            #x,                                                                \</div>
<div class="line">            msg,                                                               \</div>
<div class="line">            __FILE__,                                                          \</div>
<div class="line">            __LINE__);                                                         \</div>
<div class="line">        exit(EXIT_FAILURE);                                                    \</div>
<div class="line">    }</div>
</div><!-- fragment -->
</div>
</div>
<a id="a42b67fc79f6fccf7995858bc6880984f" name="a42b67fc79f6fccf7995858bc6880984f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42b67fc79f6fccf7995858bc6880984f">&#9670;&nbsp;</a></span>GG_BREAK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_BREAK&#160;&#160;&#160;__builtin_trap();</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9c80a590bd4111b473a95e9fe05d7bb7" name="a9c80a590bd4111b473a95e9fe05d7bb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c80a590bd4111b473a95e9fe05d7bb7">&#9670;&nbsp;</a></span>GG_CRITICAL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_CRITICAL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classgg_1_1Logger.html#a1223629c433581dc197046a024eefe10">::gg::Logger::GetCoreLogger</a>()-&gt;critical(__VA_ARGS__)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a52d8bf3071e65034fbd905dbb53b3e5b" name="a52d8bf3071e65034fbd905dbb53b3e5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52d8bf3071e65034fbd905dbb53b3e5b">&#9670;&nbsp;</a></span>GG_DEBUG_ASSERT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_DEBUG_ASSERT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">msg&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9b807d91b837a06514d8df28d2a7715d" name="a9b807d91b837a06514d8df28d2a7715d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b807d91b837a06514d8df28d2a7715d">&#9670;&nbsp;</a></span>GG_DEBUG_CRITICAL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_DEBUG_CRITICAL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b63b317319efca9632c89d2555512b8" name="a2b63b317319efca9632c89d2555512b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b63b317319efca9632c89d2555512b8">&#9670;&nbsp;</a></span>GG_DEBUG_ERROR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_DEBUG_ERROR</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a008ad2efa29e991cf27dd5651e81944c" name="a008ad2efa29e991cf27dd5651e81944c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a008ad2efa29e991cf27dd5651e81944c">&#9670;&nbsp;</a></span>GG_DEBUG_INFO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_DEBUG_INFO</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a84eaacb33b7342cd388ad3f5287335ec" name="a84eaacb33b7342cd388ad3f5287335ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84eaacb33b7342cd388ad3f5287335ec">&#9670;&nbsp;</a></span>GG_DEBUG_TRACE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_DEBUG_TRACE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a918130d1983e4c0692eb011aa3403ddf" name="a918130d1983e4c0692eb011aa3403ddf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a918130d1983e4c0692eb011aa3403ddf">&#9670;&nbsp;</a></span>GG_DEBUG_WARN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_DEBUG_WARN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a89f0a1b7c5799f73e211da567b175ca0" name="a89f0a1b7c5799f73e211da567b175ca0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89f0a1b7c5799f73e211da567b175ca0">&#9670;&nbsp;</a></span>GG_ERROR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_ERROR</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classgg_1_1Logger.html#a1223629c433581dc197046a024eefe10">::gg::Logger::GetCoreLogger</a>()-&gt;error(__VA_ARGS__)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5735309bc12e817923d9bc2a28d95cf5" name="a5735309bc12e817923d9bc2a28d95cf5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5735309bc12e817923d9bc2a28d95cf5">&#9670;&nbsp;</a></span>GG_INFO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_INFO</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classgg_1_1Logger.html#a1223629c433581dc197046a024eefe10">::gg::Logger::GetCoreLogger</a>()-&gt;info(__VA_ARGS__)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8436c5a56a3465fe6734453e1dff87fb" name="a8436c5a56a3465fe6734453e1dff87fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8436c5a56a3465fe6734453e1dff87fb">&#9670;&nbsp;</a></span>GG_TRACE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_TRACE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classgg_1_1Logger.html#a1223629c433581dc197046a024eefe10">::gg::Logger::GetCoreLogger</a>()-&gt;trace(__VA_ARGS__)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a00e30644eae60ba35ab8a796266faeff" name="a00e30644eae60ba35ab8a796266faeff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00e30644eae60ba35ab8a796266faeff">&#9670;&nbsp;</a></span>GG_WARN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GG_WARN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classgg_1_1Logger.html#a1223629c433581dc197046a024eefe10">::gg::Logger::GetCoreLogger</a>()-&gt;warn(__VA_ARGS__)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
